Bug 1489749 - Avogadro2 does not show the drawn molecule.
Summary: Avogadro2 does not show the drawn molecule.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: avogadro2
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Antonio
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-08 09:32 UTC by jakob.jakobson18
Modified: 2017-09-30 06:21 UTC (History)
1 user (show)

Fixed In Version: avogadro2-1.90.0-6.fc26 avogadro2-1.90.0-6.fc25 avogadro2-1.90.0-6.el7 avogadro2-1.90.0-6.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-17 22:50:11 UTC


Attachments (Terms of Use)

Description jakob.jakobson18 2017-09-08 09:32:35 UTC
Description of problem:
Avogadro2 does not show the drawn molecule.

Version-Release number of selected component (if applicable):
Avogadro 1.90.0
Fedora 25 Workstation

How reproducible:
Install Avogadro 1.90.0

Steps to Reproduce:
1. Install Avogadro 1.90.0 via dnf 
2. Try to draw methane or ethane or similar

Actual results:
You don't see your drawn molecule.

Expected results:
You see your drawn molecule.

Additional info:
Starting Avogadro2 via the console gives the output

"obabel not found! Disabling Open Babel plugin actions."

Comment 1 jakob.jakobson18 2017-09-08 09:45:30 UTC
Starting Avogadro2 via the terminal and drawing ethane gives the following terminal messages

$ avogadro2
"obabel not found! Disabling Open Babel plugin actions."
QXcbConnection: XCB error: 8 (BadMatch), sequence: 2167, resource id: 27263055, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 2187, resource id: 27263055, major code: 130 (Unknown), minor code: 3
QXcbConnection: XCB error: 8 (BadMatch), sequence: 2190, resource id: 27263055, major code: 130 (Unknown), minor code: 3

Comment 2 Antonio 2017-09-08 20:14:37 UTC
(In reply to Jakob Jakobson from comment #0)
> Description of problem:
> Avogadro2 does not show the drawn molecule.
> 
> Version-Release number of selected component (if applicable):
> Avogadro 1.90.0
> Fedora 25 Workstation
> 
> How reproducible:
> Install Avogadro 1.90.0
> 
> Steps to Reproduce:
> 1. Install Avogadro 1.90.0 via dnf 
> 2. Try to draw methane or ethane or similar
> 
> Actual results:
> You don't see your drawn molecule.
> 
> Expected results:
> You see your drawn molecule.
> 
> Additional info:
> Starting Avogadro2 via the console gives the output
> 
> "obabel not found! Disabling Open Babel plugin actions."

Avogadro2 needs Openbabel.

> QXcbConnection: XCB error: 8 (BadMatch), sequence: 2167, resource id: 
> 27263055, major code: 130 (Unknown), minor code: 3

I think this is not an error of Avogadro.
Please, install 'openbabel' and try again.

PS.
Drawing works on Fedora 26.

Comment 3 Fedora Update System 2017-09-09 10:15:10 UTC
avogadro2-1.90.0-6.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a13583aca

Comment 4 Fedora Update System 2017-09-09 10:15:17 UTC
avogadro2-1.90.0-6.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ede5a36123

Comment 5 Fedora Update System 2017-09-09 10:15:23 UTC
avogadro2-1.90.0-6.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf985c22bb

Comment 6 Fedora Update System 2017-09-09 10:15:27 UTC
avogadro2-1.90.0-6.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-619e890c99

Comment 7 Fedora Update System 2017-09-09 19:57:48 UTC
avogadro2-1.90.0-6.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-bf985c22bb

Comment 8 Fedora Update System 2017-09-10 05:20:00 UTC
avogadro2-1.90.0-6.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-ede5a36123

Comment 9 Fedora Update System 2017-09-10 05:54:25 UTC
avogadro2-1.90.0-6.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3a13583aca

Comment 10 Fedora Update System 2017-09-10 07:23:32 UTC
avogadro2-1.90.0-6.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-619e890c99

Comment 11 Fedora Update System 2017-09-17 22:50:11 UTC
avogadro2-1.90.0-6.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2017-09-18 02:51:22 UTC
avogadro2-1.90.0-6.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2017-09-25 07:27:50 UTC
avogadro2-1.90.0-6.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2017-09-30 06:21:45 UTC
avogadro2-1.90.0-6.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.